/*! *********************************************************************************
 * \defgroup Wireless UART Application
 * @{
 ********************************************************************************** */
/*! *********************************************************************************
* Copyright (c) 2015, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
* \file
*
* This file is the interface file for the Wireless UART application
*
* SPDX-License-Identifier: BSD-3-Clause
********************************************************************************** */

#ifndef _WIRELESS_UART_H_
#define _WIRELESS_UART_H_

/*************************************************************************************
**************************************************************************************
* Public macros
**************************************************************************************
*************************************************************************************/

/* Profile Parameters */
#define gScanningTime_c        10   /* 10 s*/

/************************************************************************************
*************************************************************************************
* Public memory declarations
*************************************************************************************
********************************************************************************** */

enum
{
    gCommand_ToggleLedRed_c = 1,
    gCommand_ToggleLedGreen_c,
    gCommand_ToggleLedBlue_c,
    gCommand_GetLed_c,
    gCommand_GetTemperature_c,
    gCommand_SW2_c,
    gCommand_SW3_c,
    gCommand_SendTemperature_c,
    gCommand_SendLedStatus_c,
    gCommand_SendSucessStatus_c,
    gCommand_LinOn_c,
    gCommand_LinOff_c,
};

uint8_t welcome_menu_string [107] = {'B', 'l', 'u', 'e', 't', 'o', 'o', 't', 'h', ' ', 'L', 'E', '-', 'C', 'A', 'N', '-', 'L', 'I', 'N', ' ', 'B', 'r', 'i', 'd', 'g', 'e',' ','D','e','m','o', '\r', '\n', //25 + 7
                            'C', 'o', 'p', 'y', 'r', 'i', 'g', 'h', 't', ' ', '(', 'c', ')', ' ', '2', '0', '1', '8',' ','N','X','P',' ','S','e','m','i','c','o','n','d','u','c','t','o','r', '\r', '\n', //63
                            'T', 'y', 'p', 'e', ' ', '"', 'h', 'e', 'l', 'p', '"', ' ', 't', 'o', ' ', 's', 'e', 'e', ' ','a','l','l',' ','c','o','m','m','a','n','d','s', '\r', '\n',
};

uint8_t welcome_menu_string_size = 103;

/************************************************************************************
*************************************************************************************
* Public prototypes
*************************************************************************************
************************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

void BleApp_Init(void);
void BleApp_Start (gapRole_t mGapStartRole);
void BleApp_GenericCallback (gapGenericEvent_t* pGenericEvent);

#ifdef __cplusplus
}
#endif 


#endif /* _APP_H_ */

/*! *********************************************************************************
 * @}
 ********************************************************************************** */
