/*! *********************************************************************************
 * \defgroup Wireless UART Application
 * @{
 ********************************************************************************** */
/*! *********************************************************************************
* Copyright (c) 2015, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
* \file
*
* This file is the interface file for the Wireless UART application
*
* SPDX-License-Identifier: BSD-3-Clause
********************************************************************************** */

#ifndef _WIRELESS_UART_H_
#define _WIRELESS_UART_H_

/*************************************************************************************
**************************************************************************************
* Public macros
**************************************************************************************
*************************************************************************************/

/* Profile Parameters */
#define gScanningTime_c        10   /* 10 s*/

enum
{
    gCommand_ToggleLedRed_c = 1,
    gCommand_ToggleLedGreen_c,
    gCommand_ToggleLedBlue_c,
    gCommand_GetLed_c,
    gCommand_GetTemperature_c,
    gCommand_SW2_c,
    gCommand_SW3_c,
    gCommand_SendTemperature_c,
    gCommand_SendLedStatus_c,
    gCommand_SendSucessStatus_c,
    gCommand_LinOn_c,
    gCommand_LinOff_c,
};


/************************************************************************************
*************************************************************************************
* Public memory declarations
*************************************************************************************
********************************************************************************** */

/************************************************************************************
*************************************************************************************
* Public prototypes
*************************************************************************************
************************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

void BleApp_Init(void);
void BleApp_Start (gapRole_t mGapStartRole);
void BleApp_GenericCallback (gapGenericEvent_t* pGenericEvent);

#ifdef __cplusplus
}
#endif 


#endif /* _APP_H_ */

/*! *********************************************************************************
 * @}
 ********************************************************************************** */
